#
# spec file for package smartups (Version 0.45.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 freetype2-devel gd gd-devel libjpeg libpng libz xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 freetype2-devel gawk gcc gd gd-devel gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         smartups
Copyright:    GPL
Group:        Applications/System
Provides:     smartups nut
Requires:     gd
Conflicts:    apcupsd
Autoreqprov:  on
Summary:      UPS monitoring software
Version:      0.45.1
Release:      49
URL:	      http://www.exploits.org/nut/
Source:       http://www.exploits.org/nut/release/nut-%{version}.tar.gz
Source1:      SuSEconfig.smartups
Source2:      rc.config.d.smartups
Source3:      rc.config.smartups
Source4:      rcups
Patch: 	      nut-%{version}.diff
Patch1:	      upsmon-pdflag.diff
BuildRoot:    %{_tmppath}/%{name}-root
%define CGIPATH		/usr/local/httpd/cgi-bin
%define MODELPATH       /usr/lib/ups/driver
%define STATEPATH       /var/lib/ups
%define CONFPATH	%{_sysconfdir}/ups

%description
This is a developing project to monitor a large assortment of UPS hardware.
Many models have ports on the back to allow other devices to check
their status.  If it gives basic information about the power and battery
status, it can probably be supported without too much difficulty.  More
advanced features on the higher-end models are also supported to allow
tracking of values over time such as temperature and voltage.
Network communications are used so that multiple systems can monitor a
single physical UPS and shut down together if necessary without any
special "sharing hardware" on the UPS itself.
Detailed information about supported hardware can be found in
/usr/share/doc/packages/smartups/README
Model information
=================
- APC Smart-UPS, Back-UPS Pro, Matrix-UPS, Belkin Regulator Pro,
Best Power Fortress, Fortress (FOR), Fortress Telecom (FTC),
Patriot Pro (PRO), Patriot Pro II (PR2), Engetron Jr,
Fenton Technologies PowerPal, PowerOn, PowerPure,
Effekta MI/MT/MH models (2502 cable), PowerGuard PG-600, IPT Anzen,
MGE Pulsar, MGE Pulsar/Comet/Galaxy, Mustek Electronics, Opti-UPS,
Advice Partner/King, PowerCom, Toshiba 1500 series, Trust (KingPro) 425/625,
Microdowell BBox, IMV/Victron
- many models that use the same basic principle to communicate with
the computer. See generic-ups.txt in /usr/share/doc/packages/smartups for
more information, including a list of supported equipment.

Authors:
--------
    Russell Kroll <rkroll@exploits.org>

SuSE series: ap

%prep
%setup -n nut-%{version}
%patch -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS"  ./configure  \
	--prefix=/usr \
	--exec-prefix=/usr \
	--sysconfdir=%{CONFPATH} \
	--mandir=%{_mandir} \
	--with-cgipath=%{CGIPATH} \
	--with-statepath=%{STATEPATH} \
	--with-modelpath=%{MODELPATH} \
	--with-user=nobody \
	--with-group=uucp
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf \
$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{CONFPATH}
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT%{MODELPATH}
mkdir -p $RPM_BUILD_ROOT%{CGIPATH}
mkdir -p $RPM_BUILD_ROOT%{STATEPATH}
make INSTALLROOT=$RPM_BUILD_ROOT install
make INSTALLROOT=$RPM_BUILD_ROOT install-cgi
# SuSE rc
install -d -m 750 $RPM_BUILD_ROOT/etc/init.d/
install -d $RPM_BUILD_ROOT/usr/sbin/
install -m 744 $RPM_SOURCE_DIR/rcups $RPM_BUILD_ROOT/etc/init.d/ups
ln -sf ../../etc/init.d/ups $RPM_BUILD_ROOT/usr/sbin/rcups
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/rc.config.smartups $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.smartups
install -m 644 $RPM_SOURCE_DIR/rc.config.d.smartups $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.d.smartups
install -m 755 $RPM_SOURCE_DIR/SuSEconfig.smartups $RPM_BUILD_ROOT/sbin/conf.d

%post
echo "Updating etc/rc.config and etc/rc.config.d/smartups.rc.config..."
if [ -x bin/fillup ] ; then
  if ! [ -d etc/rc.config.d ] ; then
     mkdir -p etc/rc.config.d
  fi
  if ! [ -f etc/rc.config.d/smartups.rc.config ] ; then
     bin/fillup -q -r -i etc/rc.config var/adm/fillup-templates/rc.config.d.smartups etc/rc.config.d/smartups.rc.config
     mv etc/rc.config.new etc/rc.config # why?
  else
     bin/fillup -q etc/rc.config.d/smartups.rc.config var/adm/fillup-templates/rc.config.d.smartups
  fi
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.smartups
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.smartups"
  echo "and update by hand."
fi
# create runlevel-symlinks
sbin/insserv etc/init.d/ups

%postun
# remove runlevel-symlinks
sbin/insserv etc/init.d/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%config(noreplace) %{CONFPATH}/hosts.conf
%config %attr(600,root,root) %{CONFPATH}/upsd.conf
%config %attr(600,root,root) %{CONFPATH}/upsd.users
%config %attr(600,root,root) %{CONFPATH}/upsmon.conf
%config(noreplace) %{CONFPATH}/ups.conf
%config(noreplace) %{CONFPATH}/upsset.conf
%config(noreplace) %{CONFPATH}/multimon.conf
%config(noreplace) %{CONFPATH}/upssched.conf
%config /etc/init.d/ups
/sbin/conf.d/SuSEconfig.smartups
%dir %attr(755,nobody,nogroup) %{STATEPATH}
%{MODELPATH}
/usr/bin/*
/usr/sbin/*
%{CGIPATH}/multimon.cgi
%{CGIPATH}/upsimage.cgi
%{CGIPATH}/upsstats.cgi
%{CGIPATH}/upsset.cgi
/var/adm/fillup-templates/rc.config.smartups
/var/adm/fillup-templates/rc.config.d.smartups
%doc docs/* COPYING CREDITS CHANGES README
%doc %{_mandir}/man8/apcsmart.8.gz
%doc %{_mandir}/man8/powercom.8.gz
%doc %{_mandir}/man8/nutupsdrv.8.gz

%changelog -n smartups
* Tue Sep 18 2001 - stark@suse.de
- changed STATEPATH to /var/lib/ups according to FHS (#8678)
* Fri Sep 07 2001 - stark@suse.de
- added Conflicts: apcupsd
  (/usr/local/httpd/cgi-bin/multimon.cgi is in both packages)
* Mon Sep 03 2001 - stark@suse.de
- added a patch to be able to write the POWERDOWNFLAG to
  only-root-writable directories
* Mon Aug 13 2001 - stark@suse.de
- update to 0.45.1
* Mon Jun 18 2001 - stark@suse.de
- update to 0.45.0
* Fri Apr 27 2001 - stark@suse.de
- minor changes in init-script to avoid premature aborts
* Thu Apr 19 2001 - stark@suse.de
- minor changes on %%config-files and %%clean
- changed upsd-exec-group to uucp
- added libjpeg freetype2 freetype2-devel xf86
  to neededforbuild
* Tue Apr 17 2001 - stark@suse.de
- init-script cleanup: try-restart and exitcodes
* Fri Mar 23 2001 - stark@suse.de
- update to 0.44.3
* Fri Mar 16 2001 - stark@suse.de
- minor changes in init-script and documentation
* Thu Jan 04 2001 - stark@suse.de
- update to 0.44.2
* Thu Dec 14 2000 - stark@suse.de
- fixed case in rc-script
- move SuSE scripts and configs out of the diff
- minor changes in config for insserv (use macros)
* Mon Nov 27 2000 - stark@suse.de
- moved /sbin/init.d -> /etc/init.d
* Fri Nov 24 2000 - stark@suse.de
- init script more LSB compliant
* Wed Nov 22 2000 - stark@suse.de
- improved runlevel position
- spec now uses %%{_tmppath}
* Tue Nov 21 2000 - stark@suse.de
- removed runlevel-links from spec-file and moved to insserv
- added init information to rc-script
* Mon Nov 20 2000 - stark@suse.de
- minor changes in rc-script (status)
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Thu Nov 09 2000 - ro@suse.de
- neededforbuild gd -> perl-GD
* Wed Nov 08 2000 - stark@suse.de
- adapted rc-script to use rc.status
* Thu Oct 05 2000 - stark@suse.de
- fixed typo in SuSEconfig.smartups
* Mon Sep 18 2000 - stark@suse.de
- update to 0.44.1
- new spec-file (with buildroot etc.)
- fixed rc-script for server/client
- added SuSEconfig.smartups
* Thu Sep 14 2000 - stark@suse.de
- fixed rc-script (added . /etc/rc.config)
* Tue Jul 11 2000 - lemsi@suse.de
- bugfix in ups start-script
- changed /etc/rc.config to /etc/rc.config.d/smartups.rc.config
* Mon Feb 28 2000 - kukuk@suse.de
- Move most variables from rc.config -> rc.config.d
* Thu Feb 24 2000 - lemsi@suse.de
- new version
- the orginal source is renamed, new name is nut-0.XX.X.tar.gz
- added 2 new variables in rc.config; GENERICUPS_MODEL; SMARTUPS_MASTER
- model check in rcups for genericups
- starting all 4 deamons in rcups
- new binary-installpath /usr/sbin
* Wed Nov 10 1999 - ro@suse.de
- fixed postinstall: (its post and not pre)
* Tue Oct 26 1999 - lemsi@suse.de
- added 2 new variables in rc.config; SMARTUPS_DEVICE; SMARTUPS_MODEL
- modified rcups and smartups.spec
- sending mail after instalation
* Fri Oct 15 1999 - ro@suse.de
- added libpng to neededforbuild (now needed for libgd)
* Fri Oct 15 1999 - ro@suse.de
- fixed patch arg
* Thu Oct 14 1999 - ray@suse.de
- new package
